
/*
	file: calc.c
*/

#include "defs.h"

/* procedure calls */
void do_makeshift();
extern int sres_to_ix();
extern char *pres_1to3();


/*************************************************************/
/* main procedure to create shifts file
*/
void do_makeshift()
{
	register int i, j, ix, six, len, aLen;
	char pch, sch, *atom, *res3;
	double mean, sdev; 
	char label[MAX_LINE_LEN];

	fprintf(stdout, "#\n");
	fprintf(stdout, "# These shifts determined by makeshift\n");
	fprintf(stdout, "#\n");
	fprintf(stdout, "# Atom   Expected Shift  Stddev\n");
	fprintf(stdout, "#\n");
	len = mySeq.numRes;
	for (i=0; i<len; i++) {
		pch = mySeq.pRes[i];
		res3 = pres_1to3(pch);
		sch = mySeq.sRes[i];
		ix = AA_IX(pch);
		six = COIL;
		aLen = aaTable[ix].atomNum;
		for (j=0; j<aLen; j++) {
			mean = aaTable[ix].atom[j].mean[six];
			sdev = aaTable[ix].atom[j].sdev[six];
			if (mean != NO_SHIFT_VAL) {
				atom =  aaTable[ix].atom[j].rName;
				sprintf(label, "1:%s_%d:%-5s", res3, i+1, atom);
				fprintf(stdout, "%-15s %7.2f %7.2f\n", label, mean, sdev);
			}
		}
	}

}	/* do_makeshift */
