
/*
	file: u_misc.c
	purpose: low level utility routines
*/

#include "std.h" 

/* procedure calls */
extern void exit();


/*************************************************************/
/* generic error handler 
*/
void show_err(dieFlag, sModule, msg)
int	dieFlag;
char *sModule, *msg;
{

	fprintf(stdout, "\n");
	if (dieFlag == TRUE)
		fprintf(stdout, " *** Fatal Error ***\n");
	else
		fprintf(stdout, " *** Warning ***\n");
	fprintf(stdout, " Module.: %s\n", sModule);
	fprintf(stdout, " Message: %s\n", msg);
	fprintf(stdout, "\n");

	if (dieFlag == TRUE)
		exit(1);

}	/* show_err */


/*************************************************************/
/* utility that returns the length of a string minus leading
** and trailing blanks.
*/
int trim_blanks(aStr)
char *aStr;
{
	register int i, j, len;

	len = strlen(aStr);

	for (i=len-1; i>=0; i--) {
		if (aStr[i] != ' ')
			break;
	}

	for (j=0; j<i; j++) {
		if (aStr[j] != ' ')
			break;
	}

	return(i - j + 1);

}	/* trim_blanks */


/*************************************************************/
/* utility that removes blanks, tabs, newlines from a string. 
** adds end of string character and returns new string len.
*/
int remove_blanks(line, len, newLine)
char *line, *newLine;
int len;
{
	register int j, count, ch;

	count = 0;
	for (j=0; j<len; j++) {
		ch = line[j];
		if ((ch != ' ') && (ch != '\t') && (ch != '\n'))
			newLine[count++] = ch;	
	}

	newLine[count] = '\0';
	return(count);

}	/* remove_blanks */


/*************************************************************/
/* read a file until we come to the string "aStr" 
*/
int read_prompt(fp, aStr)
FILE *fp;
char *aStr;
{
	int ch, len, count;

	len = strlen(aStr);
	count = 0;

	while (TRUE) {
		ch = getc(fp);
		if (ch == EOF)
			break;

		if (ch == aStr[count])
			count++;
		else
			count = 0;

		if (count == len)
			return(TRUE);
	}

	return(FALSE);

}	/* read_prompt */


/*************************************************************/
/* converts a string of characters 'inStr' to upper case letters.
*/
void upper_case(inStr)
char *inStr;
{

	register int k, len; 
	 
	len = strlen(inStr);
	for (k=0; k<=len; k++)
		inStr[k] = AA_UC(inStr[k]);

}	/* upper_case */
