
/*
	file...: main.c
	purpose: main program for star2ppm program 

	author.: Robert Boyko
	date...: Apr 2, 1996	
	place..: University of Alberta / Department of Biochemistry
*/

#include "main.h"

char dataFname[MAX_FNAME_LEN];
char resultsFname[MAX_FNAME_LEN];
char convertFname[MAX_FNAME_LEN];
int RC;

/* procedure calls */
static void show_version(), get_args();
extern void do_star2ppm();


/*************************************************************/
/* main program
*/
int main(argc, argv)
int argc;
char *argv[];
{

	RC = 0;
	show_version(stdout);
	get_args(argc, argv);
	do_star2ppm();
	return(RC);

}	/* main */


/*************************************************************/
/* current version of the program 
*/
static void show_version(fp)
FILE *fp;
{

	fprintf(fp, "\n\n");
	fprintf(fp, "***************************************************\n");
	fprintf(fp, "\n");
	fprintf(fp, "  Program.: star2ppm (c) v1.0 Jan 2001\n");
	fprintf(fp, "  Purpose.: Convert star shift files to PPM\n");
	fprintf(fp, "  Author..: Robert Boyko / Brian Sykes\n");
	fprintf(fp, "  Location: University of Alberta\n");
	fprintf(fp, "\n");
	fprintf(fp, "  Usage...: star2ppm [shiftsFile] [convertTable] [outputFile]\n");
	fprintf(fp, "\n");
	fprintf(fp, "  Funding for this program is provided by the\n");
	fprintf(fp, "  Medical Research Council of Canada and the\n");
	fprintf(fp, "  Protein Engineering Network Centres of Excellence\n");
	fprintf(fp, "\n");
	fprintf(fp, "***************************************************\n");
	fprintf(fp, "\n");

}	/* show_version */



/*************************************************************/
/* analyzing arguments to the program.
*/
static void get_args(argc, argv)
int argc;
char *argv[];
{

	if (argc == 1) {
		strcpy(dataFname, "");
		strcpy(convertFname, "star2ppm.table");
		strcpy(resultsFname, "");
	} else if (argc == 2) {
		strcpy(dataFname, argv[1]);
		strcpy(convertFname, "star2ppm.table");
		strcpy(resultsFname, "");
	} else if (argc == 3) {
		strcpy(dataFname, argv[1]);
		strcpy(convertFname, argv[2]);
		strcpy(resultsFname, "");
	} else if (argc == 4) {
		strcpy(dataFname, argv[1]);
		strcpy(convertFname, argv[2]);
		strcpy(resultsFname, argv[3]);
	} else {
		fprintf(stdout,"Error Usage: star2ppm [shiftsFile] [convertTable] [outputFile]");
	}
	fprintf(stdout, "\n");

}	/* get_args */
