/*
	main.h file
*/

#include <stdio.h>
#include <string.h>

#define TRUE				1
#define FALSE				0
#define MAX_LINE_LEN		256
#define MAX_FNAME_LEN		256

#define MAX_RES_NAME_LEN    5
#define MAX_SEQ_NUM			1000
#define CODES				26
#define MAX_RES_ATOM_NUM    50
#define MAX_ATOM_NAME_LEN	6
#define COMMENT				'#'

/* convert chars from upper to lower case and vice versa */

#define AA_UC(c)			(((c>='a') && (c<='z'))? c+'A'-'a': c)
#define AA_LC(c)			(((c>='A') && (c<='Z'))? c-'A'+'a': c)

/* return max or min of two numbers */
#define MAX(x,y)			(x>y? x: y)
#define MIN(x,y)			(x<y? x: y)

/********************/
/* define structures */
/*********************/

struct atomRec {
	char oldAtom[MAX_ATOM_NAME_LEN];
	char newAtom1[MAX_ATOM_NAME_LEN];
	char newAtom2[MAX_ATOM_NAME_LEN];
	char newAtom3[MAX_ATOM_NAME_LEN];
	int amb;
};

struct aminoAcidRec {
	int atomNum;
	struct atomRec atom[MAX_RES_ATOM_NUM];
};


typedef struct atomRec ATOM_REC;
typedef struct aminoAcidRec AMINO_ACID_REC;


/* global variables */

extern char    resultsFname[MAX_FNAME_LEN];
extern char    dataFname[MAX_FNAME_LEN];
extern char    convertFname[MAX_FNAME_LEN];
extern int		RC;
