
/*
	file: util.c
	purpose: low level error routines and utilities.
*/

#include "main.h" 

/* procedure calls */
void show_err();
extern void exit();
extern char *malloc();


/*************************************************************/
/* generic error handler 
*/
void show_err(fp, dieFlag, sModule, aMsg)
FILE *fp;
int	dieFlag;
char *sModule, *aMsg;
{

	fprintf(fp, "\n");
	fprintf(fp, "**************************************************\n");
	fprintf(fp, "\n");
	if (dieFlag == TRUE)
		fprintf(fp, " Fatal Error Detected!\n");
	else
		fprintf(fp, " Warning, Error Detected!\n");
	fprintf(fp, "\n");
	fprintf(fp, " Module.: %s\n", sModule);
	fprintf(fp, " Message: %s\n", aMsg);
	fprintf(fp, "\n");
	fprintf(fp, "**************************************************\n");
	fprintf(fp, "\n");

	if (dieFlag == TRUE)
		exit(1);

}	/* show_err */


/*************************************************************/
/* converts a string of characters 'inStr' to upper case letters.
*/
void upper_case(inStr)
char *inStr;
{

	register int k, len; 
	 
	len = strlen(inStr);
	for (k=0; k<=len; k++)
		inStr[k] = AA_UC(inStr[k]);

}	/* upper_case */


/*************************************************************/
/* given a 3 character residue code, return corresponding 1 letter 
*/
char pres_3to1(res)
char *res;
{
	
	if (0 == strncmp(res, "ALA", 3)) return('A');
	if (0 == strncmp(res, "CYS", 3)) return('C');
	if (0 == strncmp(res, "ASP", 3)) return('D');
	if (0 == strncmp(res, "GLU", 3)) return('E');
	if (0 == strncmp(res, "PHE", 3)) return('F');
	if (0 == strncmp(res, "GLY", 3)) return('G');
	if (0 == strncmp(res, "HIS", 3)) return('H');
	if (0 == strncmp(res, "ILE", 3)) return('I');
	if (0 == strncmp(res, "LYS", 3)) return('K');
	if (0 == strncmp(res, "LEU", 3)) return('L');
	if (0 == strncmp(res, "MET", 3)) return('M');
	if (0 == strncmp(res, "ASN", 3)) return('N');
	if (0 == strncmp(res, "PRO", 3)) return('P');
	if (0 == strncmp(res, "GLN", 3)) return('Q');
	if (0 == strncmp(res, "ARG", 3)) return('R');
	if (0 == strncmp(res, "SER", 3)) return('S');
	if (0 == strncmp(res, "THR", 3)) return('T');
	if (0 == strncmp(res, "VAL", 3)) return('V');
	if (0 == strncmp(res, "TRP", 3)) return('W');
	if (0 == strncmp(res, "TYR", 3)) return('Y');

	return('X');

}	/* pres_3to1 */
